Package: geb

## [Groovy] Class Module

- geb.Module

- All Implemented Interfaces and Traits:
    Initializable, Navigator, PageContentContainer, WaitingSupport

      class Module
      extends Object
      implements Initializable, Navigator, PageContentContainer, WaitingSupport

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Browser` | `browser` |
    `protected Navigator` | `navigator` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static Object` | `base`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Module()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `asBoolean()`
    `` | `boolean` | `equals(Object obj)`
    `` | `List<String>` | `getContentPath()`
    `` | `protected boolean` | `getHasOwner()`
    `` | `protected Navigator` | `getInitializedNavigator()`
    `` | `JavascriptInterface` | `getJs()`
    `` | `PageContentContainer` | `getRootContainer()`
    `` | `String` | `getStringRepresentation()`
    `` | `int` | `hashCode()`
    `` | `void` | `init(Browser browser, NavigatorFactory navigatorFactory)`
    `` | `void` | `init(PageContentTemplate template, Object[] args)`
    `` | `protected void` | `initialized()`
    `` | `Object` | `methodMissing(String name, Object args)`
    `` | `Object` | `propertyMissing(String name)`
    `` | `Object` | `propertyMissing(String name, Object val)`
    `` | `void` | `setEventListener(NavigatorEventListener listener)`
    `` | `String` | `toString()`
    `` | `GebException` | `uninitializedException()`
    `<T>` | `T` | `waitFor(Map params, String waitPreset, Closure<T> block)`
    `<T>` | `T` | `waitFor(Map params, Closure<T> block)`
    `<T>` | `T` | `waitFor(Map params, Number timeout, Closure<T> block)`
    `<T>` | `T` | `waitFor(Map params, Number timeout, Number interval, Closure<T> block)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected Browser browser

    - #### protected Navigator navigator

  - ### Property Detail

    - #### static Object base

  - ### Constructor Detail

    - #### Module()

  - ### Method Detail

    - #### boolean asBoolean()

    - #### @Override
      boolean equals(Object obj)

    - #### @Override
      List<String> getContentPath()

    - #### protected boolean getHasOwner()

    - #### @Delegate(allNames: true)
      protected Navigator getInitializedNavigator()

    - #### JavascriptInterface getJs()

    - #### @Override
      PageContentContainer getRootContainer()

    - #### String getStringRepresentation()

    - #### @Override
      int hashCode()

    - #### void init(Browser browser, NavigatorFactory navigatorFactory)

    - #### void init(PageContentTemplate template, Object[] args)

    - #### @SuppressWarnings(value: EmptyMethod)
      protected void initialized()

    - #### Object methodMissing(String name, Object args)

    - #### Object propertyMissing(String name)

    - #### Object propertyMissing(String name, Object val)

    - #### @Override
      void setEventListener(NavigatorEventListener listener)

    - #### @Override
      String toString()

    - #### GebException uninitializedException()

    - #### <T> @Override
      T waitFor(Map params, String waitPreset, Closure<T> block)

    - #### <T> @Override
      T waitFor(Map params, Closure<T> block)

    - #### <T> @Override
      T waitFor(Map params, Number timeout, Closure<T> block)

    - #### <T> @Override
      T waitFor(Map params, Number timeout, Number interval, Closure<T> block)